Subject: Re: bug#27059: Can't compile master branch on Mac OS X

From: David Caldwell <[email-masked]>
Date: Wed, 31 May 2017 16:39:51 -0700

On 5/30/17 12:01 PM, Alan Third wrote:
> On Tue, May 30, 2017 at 11:36:43AM -0700, David Caldwell wrote:
>> nsfns.m: In function 'compute_tip_xy':
>> nsfns.m:2756: error: conversion to non-scalar type requested
>> nsfns.m:2756: error: conversion to non-scalar type requested
>> make[1]: *** [nsfns.o] Error 1
>> make: *** [src] Error 2
>>
>> This was the best I could come up with for this compiler:
>>
>>     NSRect r = [screen frame];
>>     if (CGRectContainsPoint (*(CGRect*)&r, *(CGPoint*)&pt))
>>
>> (yuck).
> 
> Indeed.
> 
>> Maybe it would be better to fall back to the GNUStep else clause in
>> these cases?
> 
> That’s exactly what I was thinking as I read through this. There’s no
> reason not to, afaict it is exactly equivalent.
> 
> I’ve attached a patch that reverts to the GNUstep code in all cases
> and explains why.

I like it. That patch works on this old compiler--with it i686 gcc now
gets to the elisp compilation phase (I didn't have the patience to sit
through that part ;-)).

-David